[logiciels] Pas moyen d'utiliser Octopi (RESOLU)

Questions et astuces concernant l'installation et la configuration d'archlinux
Répondre
Avatar de l’utilisateur
tuxmarc
newbie
Messages : 8
Inscription : mar. 02 mai 2017, 12:21

[logiciels] Pas moyen d'utiliser Octopi (RESOLU)

Message par tuxmarc » mar. 02 mai 2017, 12:49

Bonjour !
Sur mon installation qui date d'hier, j'ai voulu aller "faire mes courses" sur Octopi.
Première surprise, alors que sur nombre de distris on me demande mon MDP pour ouvrir le gestionnaire de logiciels (comme sous Manjaro), ça s'ouvre direct.
Après avoir choisi, je demande à appliquer et c'est là que ça se bloque
Il n'y a aucun moyen d'obtenir les privilèges Administrateur.
Vous devez installer une interface pour su comme gksu ou kdesu.
:?:
Là, je suis comme une poule devant un couteau !
Qu'est ce que j'ai oublié pendant l'installation ?
J'ai bien les droits, j'ai fait la MAJ en console via sudo pacman -Syu.

Help !
Dernière modification par tuxmarc le ven. 05 mai 2017, 18:22, modifié 1 fois.
Ceux qui ne sont pas linuxiens ne connaissent pas leur malheur.
Pour les autres, tout baigne :lol:

benjarobin
Maître du Kyudo
Messages : 15414
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [logiciels] Pas moyen d'utiliser Octopi

Message par benjarobin » mar. 02 mai 2017, 13:04

Bonjour,
Le message d'erreur te dit ce qu'il faut faire, en français de plus.
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
tuxmarc
newbie
Messages : 8
Inscription : mar. 02 mai 2017, 12:21

Re: [logiciels] Pas moyen d'utiliser Octopi

Message par tuxmarc » mar. 02 mai 2017, 18:55

Merci benjarobin

J'ai fouillé dans le man pacman pour trouver comment on installe un paquet > sudo pacman -S le_paquet
Et donc, j'ai installé gksu.
Tout fier, je tape

Code : Tout sélectionner

gksudo octopi
+ MDP, chic une boite s'ouvre, MDP et ...................
Vous ne pouvez pas lancer Octopi en tant qu'administrateur.
:!: :!: :!:

Je lance octopi à partir du menu, je sélectionne, appliquer, nouvelle boite "utilisation de octopi sans droits d'administrateur" et il fait le boulot :!:

Linux m'a donné l'excellente habitude de faire des modifs système avec le MDP administrateur et là, ça a marché, visiblement sans être administrateur, mais il y a un gros point d'interrogation au dessus de ma tête :wink:

C'est normal cette situation ?
J'ai loupé un truc à l'installation ?
Pourtant j'ai fait bien gaffe à bien répondre.
Ceux qui ne sont pas linuxiens ne connaissent pas leur malheur.
Pour les autres, tout baigne :lol:

benjarobin
Maître du Kyudo
Messages : 15414
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [logiciels] Pas moyen d'utiliser Octopi

Message par benjarobin » mar. 02 mai 2017, 20:54

Personnellement je n'utilise pas Octopi, ou tout simplement tout ce qui est GUI pour la gestion des paquets car il n'y a rien de très bien fait...

Sinon je n'ai pas bien compris ce que tu expliques... Désolé...
octopi ne doit pas être lancé en root, octopi te demande les droits root quand nécessaire.
Par principe c'est une très très mauvaise habitude de lancer en root une application graphique !
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
tuxmarc
newbie
Messages : 8
Inscription : mar. 02 mai 2017, 12:21

Re: [logiciels] Pas moyen d'utiliser Octopi

Message par tuxmarc » mar. 02 mai 2017, 21:45

Bonsoir.

Je suis preneur des bonnes solutions, je me rends compte qu'il faut que je change d'habitudes, qu'est ce que tu préconises ?

Ce n'est pas dans mes habitudes de lancer un programme en root, là, je l'ai fait pour me sortir du pétrin.
Je m'attendais bien à ce qu'il me demande mon MDP pour faire une installation et là, grosse surprise, c'est passé sans mot de passe, c'est là où je cherche à comprendre !
Ceux qui ne sont pas linuxiens ne connaissent pas leur malheur.
Pour les autres, tout baigne :lol:

benjarobin
Maître du Kyudo
Messages : 15414
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [logiciels] Pas moyen d'utiliser Octopi

Message par benjarobin » mar. 02 mai 2017, 21:50

Configuration de sudo sans demande de mot de passe pour pacman ? Pas vraiment d'idée...
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
matmoul
Hankyu
Messages : 13
Inscription : mar. 17 mars 2015, 00:37
Contact :

Re: [logiciels] Pas moyen d'utiliser Octopi

Message par matmoul » mar. 02 mai 2017, 22:44

Pour octopi, il faut le lancer en tant qu'utilisateur.
Une fois gksu ou kdesu installer, il devrait demander l'accès root lorsqu'il en a besoin.

AlexxC
Hankyu
Messages : 28
Inscription : dim. 14 sept. 2014, 09:49

Re: [logiciels] Pas moyen d'utiliser Octopi

Message par AlexxC » mar. 02 mai 2017, 23:36

Bonsoir,
Comme le dit ton message d'erreur (1er post) il te faut installer gksu de la manière suivante.
Dans un terminal, sudo pacman -S gksu
Ou kdesu, sudo pacman -S kdesu
Ensuite tu peux lancer ton appli Octopi normalement depuis le menu

clapas
yeomen
Messages : 225
Inscription : sam. 08 sept. 2012, 07:23
Localisation : Comtat Venaissin

Re: [logiciels] Pas moyen d'utiliser Octopi

Message par clapas » mer. 03 mai 2017, 08:48

Bonjour tuxmarc,
Tu en es donc venu à goûter du Archlinux toi aussi, soit le bienvenu.

Je rejoins les autres avis pour te déconseiller l'utilisation d'outils de gestion des mises à jour. On ne sait pas très bien ce qu'ils font et on sait qu'ils ne font pas tout ce qu'il faut dès qu'un cas spécifique se présente. C'est une des difficultés avec Manjaro que tu cites plus haut.
Avant toute mise à jour, il vaut mieux consulter le site Archlinux pour s'assurer qu'il n'y a pas un réglage à faire avant tout.
https://archlinux.fr/ te donne les dernières infos. Ensuite, un coup de pacman, yaourt ou autre fera le travail. On peut aussi automatiser le tout dans un script.

yaute
Hankyu
Messages : 35
Inscription : sam. 18 févr. 2012, 12:45

Re: [logiciels] Pas moyen d'utiliser Octopi

Message par yaute » mer. 03 mai 2017, 14:02

Pour encore plus de sécurité tu peux faire tes mises à jour en mode console, comme ça si il y a un problème avec la session X ta mise à jour ne sera pas intérompue en plein milieu.

Lysio
newbie
Messages : 6
Inscription : dim. 30 avr. 2017, 17:59

Re: [logiciels] Pas moyen d'utiliser Octopi

Message par Lysio » mer. 03 mai 2017, 14:07

Je préfère largement faire les mises à jour à la console, mais pamac fonctionne aussi.

Avatar de l’utilisateur
tuxmarc
newbie
Messages : 8
Inscription : mar. 02 mai 2017, 12:21

Re: [logiciels] Pas moyen d'utiliser Octopi

Message par tuxmarc » ven. 05 mai 2017, 18:21

Bonjour !
Me revoilà avec un Arch tout neuf, ma tendance à jouer aux apprentis sorciers a repris le dessus :D

J'étais super content d'avoir installé Arch et j'ai voulu me farcir quelque chose qui me turlupinait : BSD !
En installant et réinstallant plusieurs versions de BSD sur le même DD que celui d'Arch, j'ai gagné le gros lot >> plus rien d'exploitable :oops:
Réinstallation de grub impossible et bien il a fallu le faire façon W$ :lol:

J'ai fait bien plus gaffe que le premier coup et super bonne surprise, j'ai installé avec octopi sans faire de bidouilles sombres :)
J'ai changé d'environnements, KDE + Gnome + Openbox + Deepin, j'adore installer plein d'environnements, frustré jadis par mes débuts sur un ordinateur, maintenant, c'est le pied 8)

Sur octopi, j'ai eu, comme j'avais l"habitude, une boite qui m'a demandé mon MDP, tout est normal maintenant :bravo:

Pour les MAJ, j'ai pris l'habitude avec Manjaro de le faire en console, comme je le fais sur toutes les distris maintenant, au moins, on voit ce qui se passe, et on s'instruit toujours au passage !

Et bien maintenant, je vais pouvoir m'amuser beaucoup :wink:
Ceux qui ne sont pas linuxiens ne connaissent pas leur malheur.
Pour les autres, tout baigne :lol:

Répondre